/*  css Reset */
body{
    margin: 0;
    padding: 0;
}
html{
    scroll-behavior: smooth;
}

/* CSS Variables */

/* Navigation Bar */

#navbar{
    display: flex;
    align-items: center;
    position: relative;
    top: 0;
}

#navbar::before{
    content: "";
    background: black;
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: .7;
}

/*  Navigation Bar:logo & Image */

.logo{
    display: inline-block;
}

.logo a{
    margin: .1rem .3rem 0 .3rem;
    font-size: 1.3rem;
    color: #fff;
    border: 2px solid red;
    border-radius: 50%;
    padding: 5px 20px;
    text-decoration: none;
    cursor: none;
}

.logo img{
    height: 4rem;
    margin: 0 .5rem;
    border-radius: 45%;

}
/*  Navigation Bar:List styling */


#navbar ul{
    display: flex;
    font-family: 'Baloo Bhai 2', cursive;
}
#navbar li{
    list-style: none;
    font-size: 1.3rem;
 
}
#navbar li a{ 
   color: white;
   display: block;
   padding: .3rem 2rem;
   border-radius: 2rem;
   text-decoration: none;
 
}
#navbar li a:hover{
    color: black;
    background-color: white;
    
}
/* Home section */

#home{
    display: flex;
    flex-direction: column;
    padding: .3rem 20rem;
    height: 42rem;
    justify-content: center;
    align-items: center;
}
#home::before{
    content: "";
    position: absolute;
    background: url(../images/bg1.jpg) no-repeat center center/cover;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
    z-index: -1;
    opacity: .89;
}
#home h1{
    color: #fff;
    text-align: center;
    font-family: 'Bree Serif', serif;
}
#home p{
    color: #fff;
    text-align: center;
    font-size: 1.2rem;
    font-family: 'Bree Serif', serif;
    line-height: .5rem;
    
}
span{
    color: yellow;
    font-size: 24px;
    border-bottom: 5px solid forestgreen;
}
.ab{
    color:white;
    border-bottom: 5px solid forestgreen;
    text-decoration: none;
}
/* Services Section */
#services{
    display: flex;
    margin: 2rem;
    justify-content: center;
    align-items: center;

}
#services .box{
    border: .1rem solid #a52a2a;
    margin: 0 .3rem .2rem .3rem;
    border-radius: 2.8rem;
    background: #ebe8e8;
    padding: .5rem .4rem;
    margin-bottom: 2rem;

    
}
#services .box img{
    height: 16rem;
    display: block;
    margin: auto;object-fit: contain;
}
#services .box p{
   font-family: 'Bree Serif', serif;
}

#client-section{
    /* height: 20rem; */
    position: relative;
}
#client-section::before{
    content: "";    
    position: absolute;
    background: url("../images/bg.jpg");
    height: 100%;
    width: 100%;
    z-index: -1;
    opacity: 0.3;
}
#clients{
    display: flex;
    justify-content: center;
    align-items: center;

}
.client-item{
    padding: 3.4rem;

}
#clients img{
    height: 6.4rem;
}
/* contact section  */
#contact{
    position: relative;
}
#contact::before{
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.7;
    background: url("../images/contact.jpg") no-repeat center center/cover;
}
#contact-box{
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 3.4rem;
}
#contact-box input,
#contact-box textarea{
    width: 100%;
    padding: .5rem;
    border-radius: .9rem;
    font-size: 1.1rem;
    
}
#contact-box form{
    width: 40%;
}
/* .form-group{
    text-align: left;
    line-height: 2.2rem;
} */
#contact-box label{
    font-size: 1.3rem;
    font-family: 'Bree Serif', serif;
    
}

footer{
    background: black;
    color: #fff;
    padding: .9rem 2rem;
    /* font-size: 1.5rem; */
}



/* Utility class */
.text-center{
    text-align: center;
}


.primary-heading{
    font-family: 'Bree Serif', serif;
    font-size: 3.8rem;
    padding: 1.2rem;
}

.secondary-heading{
    font-family: 'Bree Serif', serif;
    font-size: 2.3rem;
    padding: 1.2rem;
}
.btn{
    padding: .6rem 2rem;
    border: .2rem solid #fff;
    background: #a52a2a;
    color: #fff;
    margin: 1.7rem;
    font-size: 1.5rem;
    border-radius: 1rem;
    cursor: pointer;
}
.btn:hover{
    color: black;
    background: #fff;
}


